get https://app.mk.io/api/v1/organization/paymentMethods
Listing, Sorting and Filtering Payment Methods
This endpoint returns the list of payment methods.
Sorting
The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas
where each one can optionally specify asc or desc.
Sorting is valid on the following fields: aws/awsAccountId, azure/azureSaasSubscriptionId, azure/azureSaasSubscriptionName, created, createdBy, displayName, id, type
Filtering
The $filter query parameter allows for payment methods to be filtered on the basis of fields in the schema using OData query syntax.
See this document for more details on the syntax used.
Filters are valid on the following fields: aws/awsAccountId, azure/azureSaasSubscriptionId, azure/azureSaasSubscriptionName, created, createdBy, createdByEmail, createdByName, displayName, id, type
Examples:
?$top=10 - Returns only the first 10 payment methods from the list.
?$orderby=created desc - Sorts payment methods by creation date in descending order.
?$filter=created ge 2021-01-01T00:00:00Z - Returns payment methods created after January 1, 2021.
RBAC Capability Required: core.subscription.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your
auth token.
Query parameters
$orderbystringOptional
Specifies the key by which the result collection should be ordered.
$filterstringOptional
Restricts the set of items returned.
$topstringOptional
Specifies a non-negative integer n that limits the number of items returned from a collection.
The service returns the number of available items up to but not greater than the specified value n.
$skiptokenstringOptional
Specifies a start offset to support paginated results.
Use @odata.nextLink in the result object to enumerate the collection -
it will be present only if there's more than one page of entities.
Response
200A list of all payment methods
@odata.nextLinkstringOptional
@odata.nextLink URL if the page length and number of items match.
allowedOrganizationslist of strings or nullOptional
If set, only these organization IDs are allowed to use this payment method.
autoPurchaseBeamLicensesbooleanRequired
Specifies whether Beam usage should be billed through monthly charges (true) or by the minute (false).
azureOfferIdstring or nullOptional
The Azure offer ID.
azurePlanNamestring or nullOptional
The Azure plan name.
azurePrivateOfferIdstringOptionalformat: uuid
The Partner Center private offer UUID. Present only for azure_private_offer payment methods.
azureSaasSubscriptionAutoRenewboolean or nullOptional
azureSaasSubscriptionEndstring or nullOptional
azureSaasSubscriptionIdstring or nullOptional
azureSaasSubscriptionNamestring or nullOptional
azureSaasSubscriptionStartstring or nullOptional
azureSaasSubscriptionStatusstring or nullOptional
endDatestring or nullRequiredformat: date
The date this payment method expires, in yyyy-mm-dd format. It is not valid on this day. If not set, this payment method never expires. If startDate is also set, endDate must be after startDate.
notesstringOptional<=256 characters
Note to the customer.
productPublicationNamestringRequired
The name of the product publication that details the pricing for this payment method.
startDatestring or nullRequiredformat: date
The date this payment method becomes eligible to be active, in yyyy-mm-dd format. It is valid on this day. If not set, there is no lower bound. If both startDate and endDate are set, endDate must be after startDate.
typestringRequired
Payment method type. Defaults to direct if not specified.
allowedOrganizationslist of strings or nullOptional
If set, only these organization IDs are allowed to use this payment method.
autoPurchaseBeamLicensesbooleanRequired
Specifies whether Beam usage should be billed through monthly charges (true) or by the minute (false).
awsAccountIdstringOptional
The AWS account ID.
awsCustomerIdstring or nullOptional
Unique AWS account identifier specific to AWS SaaS Marketplace.
awsOfferIdstringOptional
Unique AWS private offer identifier.
awsProductCodestringOptional
The MK.IO product code in the AWS SaaS Marketplace.
awsStatusstring or nullOptional
endDatestring or nullRequiredformat: date
The date this payment method expires, in yyyy-mm-dd format. It is not valid on this day. If not set, this payment method never expires. If startDate is also set, endDate must be after startDate.
notesstringOptional<=256 characters
Note to the customer.
productPublicationNamestringRequired
The name of the product publication that details the pricing for this payment method.
startDatestring or nullRequiredformat: date
The date this payment method becomes eligible to be active, in yyyy-mm-dd format. It is valid on this day. If not set, there is no lower bound. If both startDate and endDate are set, endDate must be after startDate.
typestringRequired
Payment method type. Defaults to direct if not specified.
allowedOrganizationslist of strings or nullOptional
If set, only these organization IDs are allowed to use this payment method.
autoPurchaseBeamLicensesbooleanRequired
Specifies whether Beam usage should be billed through monthly charges (true) or by the minute (false).
endDatestring or nullRequiredformat: date
The date this payment method expires, in yyyy-mm-dd format. It is not valid on this day. If not set, this payment method never expires. If startDate is also set, endDate must be after startDate.
notesstringOptional<=256 characters
Note to the customer.
productPublicationNamestringRequired
The name of the product publication that details the pricing for this payment method.
redeemedBystring or nullOptional
The email of the user who redeemed this sales order.
salesOrderNumberstringOptional
The document number from NetSuite, SOxxx
startDatestring or nullRequiredformat: date
The date this payment method becomes eligible to be active, in yyyy-mm-dd format. It is valid on this day. If not set, there is no lower bound. If both startDate and endDate are set, endDate must be after startDate.
statusstringOptional
The status of the purchase order in MediaKind's systems.
typestringRequired
Payment method type. Defaults to direct if not specified.